# -*- coding: utf-8 -*-
# This file is part of the sale-point-invoice-module for Tryton from m-ds.de.
# The COPYRIGHT file at the top level of
# this repository contains the full copyright notices and license terms.

from trytond.pool import Pool
from .invoice import Invoice, InvoiceLine, InvoiceLineDiscount
from .configuration import Configuration, ConfigurationDefaultGrossmode
from .sale import Sale, SaleLine, SaleLineDiscount
from .purchase import Purchase, PurchaseLine
from .product import ProductTemplate, ProductProduct, ProductModGrossprice, \
    ProductModSalepoint, SaleProductPriceList
from .subscription import Subscription, LineConsumption
from .pricelist import PriceList


def register():
    Pool.register(
        Configuration,
        ConfigurationDefaultGrossmode,
        ProductTemplate,
        ProductProduct,
        Invoice,
        InvoiceLine,
        module='sale_point_invoice', type_='model')
    Pool.register(
        ProductModGrossprice,
        module='sale_point_invoice', type_='model',
        depends=['product_grossprice'])
    Pool.register(
        ProductModSalepoint,
        module='sale_point_invoice', type_='model',
        depends=['sale_point'])
    Pool.register(
        Sale,
        SaleLine,
        module='sale_point_invoice', type_='model',
        depends=['sale'])
    Pool.register(
        Purchase,
        PurchaseLine,
        module='sale_point_invoice', type_='model',
        depends=['purchase'])
    Pool.register(
        SaleLineDiscount,
        module='sale_point_invoice', type_='model',
        depends=['sale_discount'])
    Pool.register(
        InvoiceLineDiscount,
        module='sale_point_invoice', type_='model',
        depends=['account_invoice_discount'])
    Pool.register(
        SaleProductPriceList,
        PriceList,
        module='sale_point_invoice', type_='model',
        depends=['sale_price_list'])
    Pool.register(
        Subscription,
        LineConsumption,
        module='sale_point_invoice', type_='model',
        depends=['sale_subscription'])
