# -*- coding: utf-8 -*-
# This file is part of the sale-point-invoice-module for Tryton from m-ds.de.
# The COPYRIGHT file at the top level of
# this repository contains the full copyright notices and license terms.

from decimal import Decimal
from trytond.pool import PoolMeta
from trytond.modules.product_price_list import Null


class PriceList(metaclass=PoolMeta):
    __name__ = 'product.price_list'

    def get_context_formula(self, product, quantity, uom, pattern=None):
        """ add 'used_gross_price' to available fields for formula
        """
        result = super(PriceList, self).get_context_formula(
            product, quantity, uom, pattern)

        if product:
            gross_price = product.used_gross_price
        else:
            gross_price = Decimal('0.0')

        result['names']['gross_price'] = gross_price \
            if gross_price is not None else Null()
        return result

# end PriceList
