# -*- coding: utf-8 -*-
# This file is part of the sale-point-invoice module from m-ds.de for
# Tryton.  The COPYRIGHT file at the top level of
# this repository contains the full copyright notices and license terms.

from trytond.tests.test_tryton import ModuleTestCase, \
    activate_module


from .configuration import ConfigurationTestCase
from .invoice import InvoiceTestCase
from .sale import SaleTestCase
from .purchase import PurchaseTestCase
from .pricelist import PriceListTestCase
from .subscription import SubscriptionTestCase


class DiscountTestCase(
        ConfigurationTestCase,
        InvoiceTestCase,
        SaleTestCase,
        PriceListTestCase,
        PurchaseTestCase,
        SubscriptionTestCase,
        ModuleTestCase):
    'Test sale-discount module'
    module = 'sale_point_invoice'

    @classmethod
    def setUpClass(cls):
        """ add modelues
        """
        super(ConfigurationTestCase, cls).setUpClass()
        activate_module([
            'sale', 'purchase', 'product_grossprice',
            'account_invoice_discount', 'sale_discount',
            'sale_price_list', 'sale_subscription', 'analytic_invoice'])

# end DiscountTestCase


del ModuleTestCase
